diff --git a/runtime/glbl.h b/runtime/glbl.h
index be6a664621..dcbb9528be 100644
--- a/runtime/glbl.h
+++ b/runtime/glbl.h
@@ -136,6 +136,7 @@ extern int glblIntMsgsSeverityFilter;
  * rgerhards, 2018-04-28
  */
 #define DEV_OPTION_KEEP_RUNNING_ON_HARD_CONF_ERROR 1
+#define DEV_OPTION_8_1905_HANG_TEST 2 // TODO: remove - temporary for bughunt
 extern uint64_t glblDevOptions;
 
 #define glblGetOurPid() glbl_ourpid
diff --git a/tools/omfile.c b/tools/omfile.c
index 78a29acd66..f5d1eb8571 100644
--- a/tools/omfile.c
+++ b/tools/omfile.c
@@ -695,7 +695,8 @@ prepareDynFile(instanceData *__restrict__ const pData, const uchar *__restrict__
 	 * we do not know if we will otherwise come back to this file to flush it
 	 * at end of TX. see https://github.com/rsyslog/rsyslog/issues/2502
 	 */
-	if(pData->bFlushOnTXEnd && pData->pStrm != NULL) {
+	if(((glblDevOptions & DEV_OPTION_8_1905_HANG_TEST) == 0) &&
+	    pData->bFlushOnTXEnd && pData->pStrm != NULL) {
 		CHKiRet(strm.Flush(pData->pStrm));
 	}
 
